Highlighted
Contributor
Contributor

Error when register vCenter Orchestrator as a vCenter Server extension

I get an error when registering the orchestrator 8 to our vcenter 6.7. Same error is mentioned in the relase notes:

Miscellaneous Issues

The workflow Register vCenter Orchestrator as a vCenter Server extension fails with the error: "java.lang.IllegalArgumentException: cert parameter is required (Workflow:Register vCenter Orchestrator as a vCenter Server extension / Register extension (item1)#10198) ".

Whats the workaround here?

Thanks in advance!

Christian

0 Kudos
4 Replies
Highlighted
Hot Shot
Hot Shot

What version of VC plugin do you have?

Did you add vCenter instance and accept certificate and is it added to trust store?

In previous versions you could do that when you add vcenter instance:

pastedImage_0.png

0 Kudos
Highlighted
Contributor
Contributor

VC Plugin Version is 6.5.0.14534446

Yes vCenter instance is added and the certificate is in the trust store.

0 Kudos
Highlighted
VMware Employee
VMware Employee

Hi Christian,

This is a known issue with vRO 8. At the moment, there is still no workaround. We're working on it, hopefully it will be available soon in a form of new build of vCenter plug-in.

0 Kudos
Highlighted
Contributor
Contributor

When running the "Register vCenter Orchestrator as a vCenter Server extension" try to leave the field "External address to advertise this Orchestrator" empty.

0 Kudos